<div class="page page-large page-admin-photos">
	<h1>Gestion des photos de la galerie «&nbsp;<em><?php echo $this->galerie->nom (); ?></em>&nbsp;»</h1>

	<div class="actions">
		<a href="<?php echo Url::display (array ('c' => 'admin_galerie', 'a' => 'check_galerie', 'params' => array ('id' => $this->galerie->id ()))); ?>">
			<i class="fa fa-refresh"></i>
			Actualiser la galerie
		</a>
		<a href="<?php echo Url::display (array ('c' => 'admin_galerie')); ?>">
			Retour aux galeries
		</a>
	</div>

	<div class="gallery-photo-add">
		<form
			enctype="multipart/form-data"
			action="<?php echo Url::display (array ('c' => 'admin_galerie', 'a' => 'upload_photo', 'params' => array ('id' => $this->galerie->id ()))); ?>"
			method="post"
		>
			<div class="form-group">
				<label for="photo">Photo</label>
				<input name="photo" id="photo" type="file" accept="image/jpeg" />
			</div>

			<div class="form-group actions">
				<button type="submit">
					Ajouter
				</button>
			</div>
		</form>
	</div>

	<?php if (!empty ($this->photos)) { ?>
		<div class="gallery-container">
			<?php foreach ($this->photos as $photo) { ?>
				<a class="photo-preview" href="<?php echo Url::display (array ('c' => 'admin_photo', 'a' => 'update', 'params' => array ('id' => $photo->id ()))); ?>">
					<img
						title="<?php echo $photo->titre ();?>"
						src="<?php echo Url::display($this->galerie->path() . '/thumbs/' . $photo->file ()); ?>"
						alt="<?php echo $photo->titre (); ?>"
					/>
				</a>
			<?php } ?>
		</div>
	<?php } else { ?>
		<p>Il n'y a pas encore de photo dans cette galerie. Veuillez vous assurer que des photos sont présentes dans le dossier de votre galerie et cliquez sur «&nbsp;<a href="<?php echo Url::display (array ('c' => 'admin_galerie', 'a' => 'check_galerie', 'params' => array ('id' => $this->galerie->id ()))); ?>">Actualiser la galerie</a>&nbsp;»</p>
	<?php } ?>
</div>
